UPTIME(1)

NAZWA
uptime - wskazuje jak długo system jest włączony

SKŁADNIA
uptime [opcje]

OPIS
uptime wyświetla w jednym wierszu następujące dane. Bieżący czas, jak długo system jest włączony, ilu użytkowników jest obecnie zalogowanych, średnie "obciążenie" (load) z ostatnich 1, 5 i 15 minut.

Są to te same dane, które można uzyskać z nagłówkowego wiersza wyświetlanego przez w(1).

Średnie "obciążenie" systemu (load) jest średnią liczbą procesów, które są w stanie działającym lub nieprzerywalnym. Proces działający, to proces używający procesora lub czekający na to. Proces w stanie nieprzerywalnym czeka na dostęp wejścia/wyjścia np. na dysk. Średnia jest liczona w trzech interwałach czasowych. Średnie "obciążenie" nie jest normalizowane w stosunku do procesorów, tak więc średni load o wartości 1, w systemie z pojedynczym procesorem oznacza pełne obciążenie, podczas gdy w systemie czteroprocesorowym - bezczynność na poziomie 75%.

OPCJE

-p, --pretty
    pokazuje czas włączenia systemu w ładnym formacie

-h, --help
    wyświetla ten tekst pomocy

-s, --since
    pokazuje od kiedy działa system w formacie rrrr-mm-dd GG:MM:SS

-V, --version
    wyświetla informacje o wersji i kończy działanie

PLIKI

/var/run/utmp
    informacje o obecnie zalogowanych użytkownikach

/proc
    informacje o procesach

AUTORZY
uptime zostało napisane przez Larry'ego Greenfielda (greenfie@gauss.rutgers.edu) i Michaela K. Johnsona (johnsonm@sunsite.unc.edu)

ZOBACZ TAKŻE
ps(1), top(1), utmp(5), w(1)

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów proszę wysyłać na adres procps@freelists.org

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 3.3.10 oryginału.